SHARE
US and UK Goverments Warn Against Internet Explorer Security Vulnerability

A few days ago Microsoft issued a security advisory after a fairly serious security vulnerability was found in older versions of their Internet Explorer web browser. What’s more, both United States and United Kingdom governments have advised users to stop using Internet Explorer until the exploit has been fixed..

The suspected vulnerability that affects Internet Explorer 6 through to Internet Explorer 11 could allow hackers to gain full user permissions on their computer.

The vulnerability exists in the way that Internet Explorer accesses an object in memory that has been deleted or has not been properly allocated. The vulnerability may corrupt memory in a way that could allow an attacker to execute arbitrary code in the context of the current user within Internet Explorer.” reads Security Advisory 2963983. “An attacker could host a specially crafted website that is designed to exploit this vulnerability through Internet Explorer and then convince a user to view the website.”

The good news is that Microsoft are working on a patch for the vulnerability. The bad news is that if you’re on Windows XP, there’s no support for you, meaning that the exploit will remain on XP versions of Internet Explorer for the foreseeable future – so it’s probably time for an upgrade. Until the patch is applied, Microsoft, and both the United States and British Governments are advising against using Internet Explorer which suggests that this is serious business.

Why not take a few minutes to click here to install Google Chrome, or here to install Mozilla Firefox. It only takes a few minutes and will keep you secure until the patch is applied. You never know, you might fall in love with them!